Create a vendor for Buildium
https://api.propexo.com/v1/vendors/buildium/| Interface | Method |
|---|---|
| Vendors | POST /vendors |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor category
Indicates whether the vendor should be considered a company or person
First name of the vendor. Required if is_company is false
Possible values: <= 127 characters
Last name of the vendor. Required if is_company is false
Possible values: <= 127 characters
Company name of the vendor. Required if is_company is true
Possible values: <= 127 characters
Primary email for the vendor
Alternate email for the vendor
First phone number
Possible values: >= 10 characters and <= 20 characters
First phone number type
Show 4 enum values
HOMEWORKMOBILEFAXSecond phone number
Possible values: >= 10 characters and <= 20 characters
Second phone number type
Show 4 enum values
HOMEWORKMOBILEFAXThe first address line associated with the vendor
Possible values: <= 100 characters
The second address line associated with the vendor
Possible values: <= 100 characters
The city associated with the vendor
Possible values: <= 100 characters
The state associated with the vendor
The zip code associated with the vendor
The country associated with the vendor
The account number associated with the vendor
Possible values: <= 30 characters
The website URL associated with the vendor
Possible values: <= 100 characters
Vendor insurance provider
Possible values: <= 65 characters
Vendor insurance policy number
Possible values: <= 65 characters
Vendor insurance policy expiration date
Notes associated with the vendor
Possible values: <= 65535 characters
The unique identifier of the tax payer. Required if tax_payer_type is set
The tax payer type. Required if tax_id is set
Show 2 enum values
SSNEINThe tax payer name 1
Possible values: <= 40 characters
The tax payer name 2
Possible values: <= 40 characters
The tax payer address line 1
Possible values: <= 100 characters
The tax payer address line 2
Possible values: <= 100 characters
The tax payer address city
Possible values: <= 100 characters
The tax payer address state
The tax payer address zip code
The tax payer address country
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor category
Indicates whether the vendor should be considered a company or person
First name of the vendor. Required if is_company is false
Possible values: <= 127 characters
Last name of the vendor. Required if is_company is false
Possible values: <= 127 characters
Company name of the vendor. Required if is_company is true
Possible values: <= 127 characters
Primary email for the vendor
Alternate email for the vendor
First phone number
Possible values: >= 10 characters and <= 20 characters
First phone number type
Show 4 enum values
HOMEWORKMOBILEFAXSecond phone number
Possible values: >= 10 characters and <= 20 characters
Second phone number type
Show 4 enum values
HOMEWORKMOBILEFAXThe first address line associated with the vendor
Possible values: <= 100 characters
The second address line associated with the vendor
Possible values: <= 100 characters
The city associated with the vendor
Possible values: <= 100 characters
The state associated with the vendor
The zip code associated with the vendor
The country associated with the vendor
The account number associated with the vendor
Possible values: <= 30 characters
The website URL associated with the vendor
Possible values: <= 100 characters
Vendor insurance provider
Possible values: <= 65 characters
Vendor insurance policy number
Possible values: <= 65 characters
Vendor insurance policy expiration date
Notes associated with the vendor
Possible values: <= 65535 characters
The unique identifier of the tax payer. Required if tax_payer_type is set
The tax payer type. Required if tax_id is set
Show 2 enum values
SSNEINThe tax payer name 1
Possible values: <= 40 characters
The tax payer name 2
Possible values: <= 40 characters
The tax payer address line 1
Possible values: <= 100 characters
The tax payer address line 2
Possible values: <= 100 characters
The tax payer address city
Possible values: <= 100 characters
The tax payer address state
The tax payer address zip code
The tax payer address country
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/vendors/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_category_id": "string",
"is_company": true
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_category_id": "string",
"is_company": true,
"first_name": "string",
"last_name": "string",
"name": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"account_number": "string",
"website": "string",
"insurance_provider": "string",
"insurance_policy_number": "string",
"insurance_expire_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"tax_id": "string",
"tax_payer_type": "SSN",
"tax_payer_name_1": "string",
"tax_payer_name_2": "string",
"tax_address_1": "string",
"tax_address_2": "string",
"tax_city": "string",
"tax_state": "string",
"tax_zip": "string",
"tax_country": "string"
}
}